Bug 197998 - security/tor: rcorder: requirement `USR' in file `/usr/local/etc/rc.d/tor' has no providers.
Summary: security/tor: rcorder: requirement `USR' in file `/usr/local/etc/rc.d/tor' ha...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-24 18:56 UTC by Jan Beich
Modified: 2015-03-30 11:59 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bf)


Attachments
rc.d REQUIRE: FILESYSTEMS (814 bytes, patch)
2015-02-24 18:56 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2015-02-24 18:56:15 UTC
Created attachment 153455 [details]
rc.d REQUIRE: FILESYSTEMS

Trying to sanity check ports rc.d scripts on 11.0-CURRENT I've discovered:

$ rcorder /etc/rc.d/* /usr/local/etc/rc.d/* >/dev/null
rcorder: requirement `USR' in file `/usr/local/etc/rc.d/tor' has no providers.
Exit 1

USR never existed on FreeBSD, so what one may want is FILESYSTEMS which mounts /usr and sets up /var. However, on my box the order before/after the patch remains unchanged.
Comment 1 Bugzilla Automation freebsd_committer 2015-02-24 18:56:15 UTC
Auto-assigned to maintainer bf@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2015-03-08 15:52:51 UTC
A commit references this bug:

Author: bf
Date: Sun Mar  8 15:52:00 UTC 2015
New revision: 380776
URL: https://svnweb.freebsd.org/changeset/ports/380776

Log:
  update to 0.2.6.3-alpha [1]; use cpe [2]; adjust rc-script REQUIRES [3];
  use @sample [4]

  PR:		197839 [1], 197494 [2], 197998 [3], 198164 [4]
  Submitted by:	C. Sturm [1], J. Beich [3], amdmi3 [4]

Changes:
  head/security/tor-devel/Makefile
  head/security/tor-devel/distinfo
  head/security/tor-devel/files/tor.in
  head/security/tor-devel/pkg-plist
Comment 3 Bartek Rutkowski freebsd_committer 2015-03-29 11:30:38 UTC
The fix has been already committed, so I am closing this PR.
Comment 4 commit-hook freebsd_committer 2015-03-30 11:59:01 UTC
A commit references this bug:

Author: bf
Date: Mon Mar 30 11:58:49 UTC 2015
New revision: 382650
URL: https://svnweb.freebsd.org/changeset/ports/382650

Log:
  update to 0.2.6.6 [1]; add another hint to the pkg-message [2]; use @sample [3];
  add CPE information [4]; update the rc-script [5]

  PR:		198710 [1], 199003 [1], 195828 [2], 198164 [3], 197493 [4], 197998 [5]

Changes:
  head/security/tor/Makefile
  head/security/tor/distinfo
  head/security/tor/files/pkg-message.in
  head/security/tor/files/tor.in
  head/security/tor/pkg-plist
  head/security/tor-devel/Makefile
  head/security/tor-devel/distinfo
  head/security/tor-devel/files/pkg-message.in